com.pixelmed.utils

## Class PdfDecoder

- java.lang.Object
- - com.pixelmed.utils.PdfDecoder

-     public class PdfDecoder
      extends java.lang.Object

  A class for to encapsulate JPedal PDF decoding capability if available at runtime without requiring it for compilation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Object` | `pdfDecoder`
    `protected java.lang.Class` | `pdfDecoderClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfDecoder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closePdfFile()`
    `void` | `decodePage(int page)`
    `java.awt.Component` | `getComponent()`
    `int` | `getDPI()`
    `java.awt.image.BufferedImage` | `getPageAsImage(int pageIndex)`
    `int` | `getPageCount()`
    `void` | `openPdfFile(java.lang.String filename)`
    `void` | `setBackground(java.awt.Color color)`
    `void` | `setPageParameters(float scaling, int pageNumber)`
    `void` | `useHiResScreenDisplay(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pdfDecoderClass

          protected java.lang.Class pdfDecoderClass

    - #### pdfDecoder

          protected java.lang.Object pdfDecoder

  - ### Constructor Detail

    - #### PdfDecoder

          public PdfDecoder()
                     throws PdfException

      Throws:
        `PdfException`

  - ### Method Detail

    - #### useHiResScreenDisplay

          public void useHiResScreenDisplay(boolean value)
                                     throws PdfException

      Throws:
        `PdfException`

    - #### openPdfFile

          public void openPdfFile(java.lang.String filename)
                           throws PdfException

      Throws:
        `PdfException`

    - #### closePdfFile

          public void closePdfFile()
                            throws PdfException

      Throws:
        `PdfException`

    - #### getPageCount

          public int getPageCount()
                           throws PdfException

      Throws:
        `PdfException`

    - #### getDPI

          public int getDPI()
                     throws PdfException

      Throws:
        `PdfException`

    - #### setPageParameters

          public void setPageParameters(float scaling,
                                        int pageNumber)
                                 throws PdfException

      Throws:
        `PdfException`

    - #### decodePage

          public void decodePage(int page)
                          throws PdfException

      Throws:
        `PdfException`

    - #### setBackground

          public void setBackground(java.awt.Color color)
                             throws PdfException

      Throws:
        `PdfException`

    - #### getPageAsImage

          public java.awt.image.BufferedImage getPageAsImage(int pageIndex)
                                                      throws PdfException

      Throws:
        `PdfException`

    - #### getComponent

          public java.awt.Component getComponent()